Destination-type taxonomy
GET/v1/meta/destination-types
GET
/v1/meta/destination-types
The destination-type taxonomy. Parent types carry the leaf ids they
expand to when used as a travel-time type filter. Free and cached.
Responses
Section titled “Responses”Successful Response
DestinationTypesResponse
object
destination_types
required
Destination Types
Array<object>
DestinationTypeOne node in the destination-type taxonomy. (routers.meta.meta_destination_types)
object
dest_type_id
required
Dest Type Id
integer
is_leaf
required
Is Leaf
boolean
label
required
Label
string
leaf_ids
required
Leaf Ids
Leaf type ids this node expands to in travel-time filters
Array<integer>
name
required
Name
string
Example
{ "destination_types": [ { "dest_type_id": 1, "is_leaf": false, "label": "Public schools", "leaf_ids": [ 5, 6, 7 ], "name": "schools_public" }, { "dest_type_id": 30, "is_leaf": true, "label": "Grocery stores", "leaf_ids": [ 30 ], "name": "grocery" } ]}